<?php
/**
 * Classic Artificial Intelligence functions and definitions
 *
 * @package Classic Artificial Intelligence
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! function_exists( 'classic_artificial_intelligence_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function classic_artificial_intelligence_setup() {
	global $content_width;
	if ( ! isset( $content_width ) )
		$content_width = 680;

	load_theme_textdomain( 'classic-artificial-intelligence', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'align-wide' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'wp-block-styles');
	add_theme_support( 'custom-header', array(
		'default-text-color' => false,
		'header-text' => false,
	) );
	add_theme_support( 'custom-logo', array(
		'height'      => 100,
		'width'       => 100,
		'flex-height' => true,
	) );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'classic-artificial-intelligence' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_editor_style( 'editor-style.css' );

	// Theme Activation Notice
	global $pagenow;

	if (
		is_admin()
		&&
		('themes.php' == $pagenow)
		// &&
		// isset( $_GET['activated'] )
	) {
		add_action('admin_notices', 'classic_artificial_intelligence_deprecated_hook_admin_notice');
	}
}
endif; // classic_artificial_intelligence_setup
add_action( 'after_setup_theme', 'classic_artificial_intelligence_setup' );

function classic_artificial_intelligence_the_breadcrumb() {
    echo '<div class="breadcrumb my-3">';

    if (!is_home()) {
        echo '<a class="home-main align-self-center" href="' . esc_url(home_url()) . '">';
        bloginfo('name');
        echo "</a>";

        if (is_category() || is_single()) {
            the_category(' ');
            if (is_single()) {
                echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (is_page()) {
            echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
        }
    }

    echo '</div>';
}

function classic_artificial_intelligence_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'classic-artificial-intelligence' ),
		'description'   => __( 'Appears on blog page sidebar', 'classic-artificial-intelligence' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'classic-artificial-intelligence' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'classic-artificial-intelligence' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'classic-artificial-intelligence' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'classic-artificial-intelligence' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	$classic_artificial_intelligence_widget_areas = get_theme_mod('classic_artificial_intelligence_footer_widget_areas', '4');
	for ($classic_artificial_intelligence_i=1; $classic_artificial_intelligence_i <= 4; $classic_artificial_intelligence_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'classic-artificial-intelligence' ) . $classic_artificial_intelligence_i,
			'id'            => 'footer-' . $classic_artificial_intelligence_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}
	
	register_sidebar(array(
        'name'          => __('Shop Sidebar', 'classic-artificial-intelligence'),
        'description'   => __('Sidebar for WooCommerce shop pages', 'classic-artificial-intelligence'),
		'id'            => 'woocommerce_sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'classic-artificial-intelligence'),
        'description'   => __('Sidebar for single product pages', 'classic-artificial-intelligence'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
}
add_action( 'widgets_init', 'classic_artificial_intelligence_widgets_init' );

// Change number of products per row to 4
add_filter('loop_shop_columns', 'classic_artificial_intelligence_loop_columns');
if (!function_exists('classic_artificial_intelligence_loop_columns')) {
    function classic_artificial_intelligence_loop_columns() {
        $classic_artificial_intelligence_colm = get_theme_mod('classic_artificial_intelligence_products_per_row', 4); // Default to 4 if not set
        return $classic_artificial_intelligence_colm;
    }
}

// Use the customizer setting to set the number of products per page
function classic_artificial_intelligence_products_per_page($classic_artificial_intelligence_cols) {
    $classic_artificial_intelligence_cols = get_theme_mod('classic_artificial_intelligence_products_per_page', 9); // Default to 9 if not set
    return $classic_artificial_intelligence_cols;
}
add_filter('loop_shop_per_page', 'classic_artificial_intelligence_products_per_page', 9);

function classic_artificial_intelligence_scripts() {

	wp_enqueue_style( 'bootstrap-css', esc_url(get_template_directory_uri())."/css/bootstrap.css" );
	wp_enqueue_style('classic-artificial-intelligence-style', get_stylesheet_uri(), array() );
		wp_style_add_data('classic-artificial-intelligence-style', 'rtl', 'replace');

	require get_parent_theme_file_path( '/inc/color-scheme/custom-color-control.php' );
	wp_add_inline_style( 'classic-artificial-intelligence-style',$classic_artificial_intelligence_color_scheme_css );
	wp_enqueue_style( 'owl.carousel-css', esc_url(get_template_directory_uri())."/css/owl.carousel.css" );
	wp_enqueue_style( 'classic-artificial-intelligence-default', esc_url(get_template_directory_uri())."/css/default.css" );
	wp_enqueue_style( 'classic-artificial-intelligence-style', get_stylesheet_uri() );
	wp_enqueue_style( 'animate-style', get_template_directory_uri().'/css/animate.css' );
	wp_enqueue_script( 'bootstrap-js', esc_url(get_template_directory_uri()). '/js/bootstrap.js', array('jquery') );
	wp_enqueue_script( 'classic-artificial-intelligence-theme', esc_url(get_template_directory_uri()) . '/js/theme.js' );
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/css/fontawesome-all.css" );
	wp_enqueue_style( 'classic-artificial-intelligence-block-style', esc_url( get_template_directory_uri() ).'/css/blocks.css' );	
	/*--------------------------- Animations -------------------*/
    if ( get_theme_mod( 'classic_artificial_intelligence_animation_enabled', true ) ) {
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/js/wow.js', array('jquery'),'' ,true );
        wp_enqueue_style( 'animate-style', get_template_directory_uri().'/css/animate.css' );
    }

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// font-family
	$classic_artificial_intelligence_headings_font = esc_html(get_theme_mod('classic_artificial_intelligence_headings_fonts'));
	$classic_artificial_intelligence_body_font = esc_html(get_theme_mod('classic_artificial_intelligence_body_fonts'));

	if ($classic_artificial_intelligence_headings_font) {
	    wp_enqueue_style('classic-artificial-intelligence-headings-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($classic_artificial_intelligence_headings_font));
	} else {
	    wp_enqueue_style('poppins-heading', 'https://fonts.googleapis.com/css?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
	}

	if ($classic_artificial_intelligence_body_font) {
	    wp_enqueue_style('classic-artificial-intelligence-body-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($classic_artificial_intelligence_body_font));
	} else {
	    wp_enqueue_style('poppins-body', 'https://fonts.googleapis.com/css?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
	}

}
add_action( 'wp_enqueue_scripts', 'classic_artificial_intelligence_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Sanitization Callbacks.
 */
require get_template_directory() . '/inc/sanitization-callbacks.php';

/**
 * Webfont-Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/inc/gfonts.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/upgrade-to-pro.php';

/**
 * select .
 */
require get_template_directory() . '/inc/select/category-dropdown-custom-control.php';

/**
 * Theme Info Page.
 */
require get_template_directory() . '/inc/addon.php';

/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

function classic_artificial_intelligence_setup_theme() {
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_PRO_NAME' ) ) {
		define( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_PRO_NAME', __( 'About Artificial Intelligence', 'classic-artificial-intelligence' ));
	}
	// Footer Link
	define('CLASSIC_ARTIFICIAL_INTELLIGENCE_FOOTER_LINK',__('https://www.theclassictemplates.com/products/free-ai-wordpress-theme','classic-artificial-intelligence'));
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_PRO_NAME' ) ) {
		define( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_PRO_NAME', __( 'About Classic Portfolio', 'classic-artificial-intelligence' ));
	}
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_PREMIUM_PAGE' ) ) {
		define('CLASSIC_ARTIFICIAL_INTELLIGENCE_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/artificial-intelligence-wordpress-theme','classic-artificial-intelligence'));
	}	
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_THEME_PAGE' ) ) {
	define('CLASSIC_ARTIFICIAL_INTELLIGENCE_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','classic-artificial-intelligence'));
	}
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_SUPPORT' ) ) {
	define('CLASSIC_ARTIFICIAL_INTELLIGENCE_SUPPORT',__('https://wordpress.org/support/theme/classic-artificial-intelligence/','classic-artificial-intelligence'));
	}
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_REVIEW' ) ) {
	define('CLASSIC_ARTIFICIAL_INTELLIGENCE_REVIEW',__('https://wordpress.org/support/theme/classic-artificial-intelligence/reviews/','classic-artificial-intelligence'));
	}
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_PRO_DEMO' ) ) {
	define('CLASSIC_ARTIFICIAL_INTELLIGENCE_PRO_DEMO',__('https://live.theclassictemplates.com/artificial-intelligence-pro/','classic-artificial-intelligence'));
	}
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_THEME_DOCUMENTATION' ) ) {
	define('CLASSIC_ARTIFICIAL_INTELLIGENCE_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/classic-artificial-intelligence-free/','classic-artificial-intelligence'));
	}
	if ( ! defined( 'CLASSIC_ARTIFICIAL_INTELLIGENCE_BUNDLE_PAGE' ) ) {
		define('CLASSIC_ARTIFICIAL_INTELLIGENCE_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','classic-artificial-intelligence'));
	}
}
add_action( 'after_setup_theme', 'classic_artificial_intelligence_setup_theme' );

/* Starter Content */
	add_theme_support( 'starter-content', array(
		'widgets' => array(
			'footer-1' => array(
				'categories',
			),
			'footer-2' => array(
				'archives',
			),
			'footer-3' => array(
				'meta',
			),
			'footer-4' => array(
				'search',
			),
		),
    ));
    
// logo
if ( ! function_exists( 'classic_artificial_intelligence_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function classic_artificial_intelligence_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

/* Activation Notice */
function classic_artificial_intelligence_deprecated_hook_admin_notice() {
	 $classic_artificial_intelligence_theme = wp_get_theme();
	$classic_artificial_intelligence_meta = get_option( 'classic_artificial_intelligence_admin_notice' );

	if (!$classic_artificial_intelligence_meta) {
    ?>
        <div id="classic-artificial-intelligence-welcome-notice" class="getstrat updated notice notice-success welcome-notice is-dismissible notice-get-started-class">
            <div class="admin-image">
                <img style="width: 100%;max-width: 320px;line-height: 40px;display: inline-block;vertical-align: top;border: 2px solid #ddd;border-radius: 4px;" src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
            <div class="admin-content" >
                <h1><?php 
				/* translators: 1: Theme name, 2: Theme version. */
				printf( esc_html__( 'Welcome to %1$s %2$s', 'classic-artificial-intelligence' ), esc_html($classic_artificial_intelligence_theme->get( 'Name' )), esc_html($classic_artificial_intelligence_theme->get( 'Version' ))); ?>		
                </h1>
                <p><?php _e('Get Started With Theme By Clicking On Getting Started.', 'classic-artificial-intelligence'); ?></p>
                <div style="display: grid;">
                    <a class="admin-notice-btn button button-hero upgrade-pro" target="_blank" href="<?php echo esc_url( CLASSIC_ARTIFICIAL_INTELLIGENCE_PREMIUM_PAGE ); ?>"><?php esc_html_e('Upgrade Pro', 'classic-artificial-intelligence') ?><i class="dashicons dashicons-cart"></i></a>
                    <a class="admin-notice-btn button button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=classic-artificial-intelligence' )); ?>"><?php esc_html_e( 'Get started', 'classic-artificial-intelligence' ) ?><i class="dashicons dashicons-backup"></i></a>
                    <a class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( CLASSIC_ARTIFICIAL_INTELLIGENCE_THEME_DOCUMENTATION ); ?>"><?php esc_html_e('Free Doc', 'classic-artificial-intelligence') ?><i class="dashicons dashicons-visibility"></i></a>
                    <a  class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( CLASSIC_ARTIFICIAL_INTELLIGENCE_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'classic-artificial-intelligence') ?><i class="dashicons dashicons-awards"></i></a>
                </div>
            </div>
			<div class="admin-bundle-image">
				<a href="<?php echo esc_url( CLASSIC_ARTIFICIAL_INTELLIGENCE_BUNDLE_PAGE ); ?>" target="_blank"><img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/images/image_1.webp'; ?>" /></a>
			</div>
        </div>
	<?php
    }
}
// Admin notice code START
function classic_artificial_intelligence_dismissed_notice() {
	update_option( 'classic_artificial_intelligence_admin_notice', true );
}
add_action( 'wp_ajax_classic_artificial_intelligence_dismissed_notice', 'classic_artificial_intelligence_dismissed_notice' );


//After Switch theme function
add_action('after_switch_theme', 'classic_artificial_intelligence_getstart_setup_options');
function classic_artificial_intelligence_getstart_setup_options () {
    update_option('classic_artificial_intelligence_admin_notice', false );
}
// Admin notice code END